AnsweredAssumed Answered

Compiling errors with gcc-5.2.0 from 4.1.15

Question asked by Ivy Liu on May 2, 2016
Latest reply on Aug 31, 2016 by Senthil Kumar

Hi,

 

I have downloaded and built Freescale release L4.1.15_1.0.0_ga  yocto project.

Everything works well for building kernel and uboot with gcc-5.2.0.

But it always reported link errors when I tried to compile a static library.

 

~/fsl-release-bsp/build-xwayland/tmp/sysroots/x86_64-linux/usr/libexec/arm-poky-linux-gnueabi/gcc/arm-poky-linux-gnueabi/5.2.0/ld: cannot find crti.o: No such file or directory

~/fsl-release-bsp/build-xwayland/tmp/sysroots/x86_64-linux/usr/libexec/arm-poky-linux-gnueabi/gcc/arm-poky-linux-gnueabi/5.2.0/ld: cannot find crtbeginS.o: No such file or directory

 

The cross-compile tools path is ~/fsl-release-bsp/build-xwayland/tmp/sysroots/x86_64-linux/usr/bin/arm-poky-linux-gnueabi/

 

Can someone help me?

Is this arm-poky-linux-gnueabi-gcc 5.2.0 OK to use?

 

Thank you very much!!

 

Best Regards,

Ivy

Outcomes